Page MenuHomePhabricator

Modularize workboard column transactions
ClosedPublic

Authored by epriestley on Mar 14 2019, 3:22 PM.

Details

Summary

Depends on D20279. Ref T5474. Modernize these transactions before I add a new "TriggerTransaction" for setting triggers.

Test Plan

Created a column. Edited a column name and point limit. Hid and un-hid a column. Grepped for removed symbols.

Diff Detail

Repository
rP Phabricator
Branch
trigger2
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 22361
Build 30595: Run Core Tests
Build 30594: arc lint + arc unit

Event Timeline

epriestley created this revision.Mar 14 2019, 3:22 PM
epriestley requested review of this revision.Mar 14 2019, 3:24 PM
epriestley added inline comments.Mar 14 2019, 3:25 PM
src/applications/project/controller/PhabricatorProjectColumnEditController.php
96

This fixes a bug where this workflow didn't actually enforce the requirement that columns have a name.

amckinley accepted this revision.Mar 18 2019, 6:57 PM
amckinley added inline comments.
src/applications/project/xaction/column/PhabricatorProjectColumnLimitTransaction.php
40

For consistency, "changed the point limit".

src/applications/project/xaction/column/PhabricatorProjectColumnStatusTransaction.php
23

"unhid this column"

27

"hid this column"

48

This is just going to be "0, 1"; maybe don't even bother to show it?

This revision is now accepted and ready to land.Mar 18 2019, 6:57 PM
epriestley added inline comments.Mar 25 2019, 6:48 PM
src/applications/project/xaction/column/PhabricatorProjectColumnStatusTransaction.php
48

I think it'll be real strings some day. Showing it is mostly for the benefit of API callers, since the internal constants may not always be obvious.

epriestley updated this revision to Diff 48489.Mar 25 2019, 6:49 PM
  • Wordsmithing.
This revision was automatically updated to reflect the committed changes.